use async_graphql::{ComplexObject, SimpleObject};

use crate::scalar::{Id, Time};

#[derive(SimpleObject)]
#[graphql(complex)]
pub struct Gruppe {
    /// Die UUIDl einer Gruppe
    pub id: Id,

    /// Der Gruppenname
    pub gruppenname: String,

    /// Wann die Gruppe erstellt wurde
    pub erstellt_am: Time,

    /// Wann die Gruppe geaendert wurde
    pub geaendert_am: Time,
}

#[ComplexObject]
impl Gruppe {}
